QT += network core gui gui-private

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

CONFIG += c++17

TEMPLATE = app

#CONFIG+= console

#生成目录
unix {
#DESTDIR = $$PWD/../../Build/bin
}
win32 {
DESTDIR = $$PWD/../../Build/Libs
}

MOC_DIR = $$PWD/Build/moc
OBJECTS_DIR = $$PWD/Build/objs
RCC_DIR = $$PWD/Build/resources
UI_DIR = $$PWD/Build/ui

FORMS += \
    $$PWD/Src/updaterdialog.ui

HEADERS += \
    $$PWD/Src/downloader.h \
    $$PWD/Src/updaterdialog.h

SOURCES += \
    $$PWD/Src/downloader.cpp \
    $$PWD/Src/updaterdialog.cpp \
    $$PWD/Src/main.cpp

RESOURCES += \
    Resources/dark/darkstyle.qrc \
    Resources/res.qrc

win32 {
    RC_ICONS += $$PWD/Resources/update.ico
}
